# Class TikkieAccountPayload

#### Hierarchy

- unknown
  - TikkieAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:5215
- Defined in src/protobuf/pb_pb.d.ts:5227

#####
Index

### Constructors

constructor

### Methods

getIban
serializeBinary
setIban
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new TikkieAccountPayload(): TikkieAccountPayload

- #### Returns TikkieAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getIban

- getIban(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5216

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5219

### setIban

- setIban(value: string): TikkieAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns TikkieAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5217

### toObject

- toObject(includeInstance?: boolean): TikkieAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns TikkieAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5220

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): TikkieAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns TikkieAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5223

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: TikkieAccountPayload, reader: BinaryReader): TikkieAccountPayload

- #### Parameters

  - ##### message: TikkieAccountPayload

  - ##### reader: BinaryReader

  #### Returns TikkieAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5224

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: TikkieAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: TikkieAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5222

### `Static` toObject

- toObject(includeInstance: boolean, msg: TikkieAccountPayload): TikkieAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: TikkieAccountPayload

  #### Returns TikkieAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5221

Generated using TypeDoc